Bug 1292355 - [abrt] plasma-systemsettings: QXcbWindow::setParent(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QXcbWindow::setParent(): systemsettings5 killed...
Status: CLOSED DUPLICATE of bug 1291003
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:77c52e99ce3c2faa5a762c7bf6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 02:42 EST by Slawek
Modified: 2016-01-01 23:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-01 23:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.17 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: core_backtrace (23.63 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: dso_list (19.96 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: environ (1.85 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: exploitable (117 bytes, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: maps (84.32 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: mountinfo (3.18 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: open_fds (1.47 KB, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details
File: var_log_messages (252 bytes, text/plain)
2015-12-17 02:42 EST, Slawek
no flags Details

  None (edit)
Description Slawek 2015-12-17 02:42:10 EST
Description of problem:
- open KDE System Settings
- go to Desktop Behaviour
- go to Screen Locking
- change backgroung
- crash...

Version-Release number of selected component:
plasma-systemsettings-5.5.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QXcbWindow::setParent
executable:     /usr/bin/systemsettings5
global_pid:     2734
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::setParent at qxcbwindow.cpp:1499
 #1 QWindow::setParent at kernel/qwindow.cpp:614
 #2 QWidgetPrivate::setParent_sys at kernel/qwidget.cpp:10543
 #3 QWidget::setParent at kernel/qwidget.cpp:10398
 #5 QDialogButtonBox::addButton at widgets/qdialogbuttonbox.cpp:761
 #6 KDEPlatformFileDialog::KDEPlatformFileDialog at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:103
 #7 KDEPlatformFileDialogHelper::KDEPlatformFileDialogHelper at ../../../src/platformtheme/kdeplatformfiledialoghelper.cpp:201
 #8 KdePlatformTheme::createPlatformDialogHelper at ../../../src/platformtheme/kdeplatformtheme.cpp:269
 #9 QDialogPrivate::platformHelper at dialogs/qdialog.cpp:94
 #10 QFileDialogPrivate::platformFileDialogHelper at dialogs/qfiledialog_p.h:112
Comment 1 Slawek 2015-12-17 02:42:17 EST
Created attachment 1106586 [details]
File: backtrace
Comment 2 Slawek 2015-12-17 02:42:19 EST
Created attachment 1106587 [details]
File: cgroup
Comment 3 Slawek 2015-12-17 02:42:25 EST
Created attachment 1106588 [details]
File: core_backtrace
Comment 4 Slawek 2015-12-17 02:42:27 EST
Created attachment 1106589 [details]
File: dso_list
Comment 5 Slawek 2015-12-17 02:42:29 EST
Created attachment 1106590 [details]
File: environ
Comment 6 Slawek 2015-12-17 02:42:33 EST
Created attachment 1106591 [details]
File: exploitable
Comment 7 Slawek 2015-12-17 02:42:34 EST
Created attachment 1106592 [details]
File: limits
Comment 8 Slawek 2015-12-17 02:42:36 EST
Created attachment 1106593 [details]
File: maps
Comment 9 Slawek 2015-12-17 02:42:42 EST
Created attachment 1106594 [details]
File: mountinfo
Comment 10 Slawek 2015-12-17 02:42:44 EST
Created attachment 1106595 [details]
File: namespaces
Comment 11 Slawek 2015-12-17 02:42:46 EST
Created attachment 1106596 [details]
File: open_fds
Comment 12 Slawek 2015-12-17 02:42:49 EST
Created attachment 1106597 [details]
File: proc_pid_status
Comment 13 Slawek 2015-12-17 02:42:51 EST
Created attachment 1106598 [details]
File: var_log_messages
Comment 14 Sudhir Khanger 2015-12-21 13:50:42 EST
Another user experienced a similar problem:

System Settings crashes when I click Open File Dialog button in SystemSettings>Startup and Shutdown>Autostart>Add Program.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QXcbWindow::setParent
executable:     /usr/bin/systemsettings5
global_pid:     28492
kernel:         4.2.7-300.fc23.x86_64
package:        plasma-systemsettings-5.5.0-1.fc23
reason:         systemsettings5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Rex Dieter 2016-01-01 23:33:10 EST

*** This bug has been marked as a duplicate of bug 1291003 ***

Note You need to log in before you can comment on or make changes to this bug.